%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Term-Gnuplot
Version:       0.90380906
Release:       1mamba
Summary:       Term::Gnuplot - Low/High-resolution graphics using gnuplot
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/authors/id/I/IL/ILYAZ/modules/Term-Gnuplot-%{version}.zip
License:       Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libfreetype-devel
BuildRequires: libgd-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: perl-devel >= %perl_major_ver
Requires:      perl >= %perl_major_ver

%description
This perl module is intended for low-resolution or high-resolution graphics using gnuplot low-level functions.

%prep
%setup -q -n Term-Gnuplot-%{version}

%build
perl Makefile.PL \
   PREFIX=%{_prefix} \
   INSTALLDIRS=vendor \
   OPTIMIZE="%{optflags} -fcommon"

%make
#% make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

chmod ug+w %{buildroot}%{perl_vendorarch}/Term/Gnuplot/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sun Aug 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.90380906-1mamba
- update to 0.90380906

* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.90380905-4mamba
- perl 5.16 mass rebuild

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.90380905-3mamba
- automatic rebuild by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.90380905-2mamba
- rebuilt with perl 5.10

* Thu Sep 13 2007 Aleph0 <aleph0@openmamba.org> 0.90380905-1mamba
- package created by autospec
